<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head><body onload="setBrowserTitle('HttpClient 4.2.3: org.apache.http.impl.auth: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:12:32 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
                    	<div class="navBar"><a href="../../../../../proj-risks.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-risks.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.auth:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,017
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,049
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      370
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      5.19
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      274
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      2,149
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.36
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.53
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      196
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      21
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.89
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      30
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.auth:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,017
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,049
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      370
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      5.19
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      274
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      2,149
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.36
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.53
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      196
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      21
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.89
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      30
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                                            <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='pkg-risks.html'">Package Risks</label>
                        </div>
                    </div>
                </li>
                                                            <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">org.apache.http.impl.auth</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop noLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
   
      <div id="shallowPackageCloud"  >
      
	 	 
	       <a href="../auth/AuthSchemeBase.html#AuthSchemeBase" class="tag"
	  style="font-size: 19px;color:#1b05e3"
	  title="Average Method Complexity - 2.571 , Coverage - 87.5% ">AuthSchemeBase</a>
   
	 	 
	       <a href="../auth/BasicScheme.html#BasicScheme" class="tag"
	  style="font-size: 15px;color:#1b05e3"
	  title="Average Method Complexity - 1.667 , Coverage - 78.8% ">BasicScheme</a>
   
	 	 
	       <a href="../auth/DigestScheme.html#DigestScheme" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 3.375 , Coverage - 96.3% ">DigestScheme</a>
   
	 	 
	       <a href="../auth/GGSSchemeBase.html#GGSSchemeBase" class="tag"
	  style="font-size: 24px;color:#4d05b1"
	  title="Average Method Complexity - 3.75 , Coverage - 56.7% ">GGSSchemeBase</a>
   
	 	 
	       <a href="../auth/HttpEntityDigester.html#HttpEntityDigester" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="Average Method Complexity - 1.6 , Coverage - 92.3% ">HttpEntityDigester</a>
   
	 	 
	       <a href="../auth/KerberosScheme.html#KerberosScheme" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1.125 , Coverage - 0% ">KerberosScheme</a>
   
	 	 
	       <a href="../auth/KerberosSchemeFactory.html#KerberosSchemeFactory" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 55.6% ">KerberosSchemeFactory</a>
   
	 	 
	       <a href="../auth/NTLMEngineException.html#NTLMEngineException" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">NTLMEngineException</a>
   
	 	 
	       <a href="../auth/NTLMEngineImpl.html#NTLMEngineImpl" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="Average Method Complexity - 1.545 , Coverage - 73.9% ">NTLMEngineImpl</a>
   
	 	 
	       <a href="../auth/NTLMEngineImpl.html#NTLMEngineImpl.CipherGen" class="tag"
	  style="font-size: 17px;color:#3405ca"
	  title="Average Method Complexity - 2 , Coverage - 74.1% ">NTLMEngineImpl.CipherGen</a>
   
	 	 
	       <a href="../auth/NTLMEngineImpl.html#NTLMEngineImpl.HMACMD5" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="Average Method Complexity - 2 , Coverage - 80.6% ">NTLMEngineImpl.HMACMD5</a>
   
	 	 
	       <a href="../auth/NTLMEngineImpl.html#NTLMEngineImpl.NTLMMessage" class="tag"
	  style="font-size: 15px;color:#80057e"
	  title="Average Method Complexity - 1.533 , Coverage - 35.1% ">NTLMEngineImpl.NTLMMessage</a>
   
	 	 
	       <a href="../auth/NTLMEngineImpl.html#NTLMEngineImpl.Type1Message" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="Average Method Complexity - 1.5 , Coverage - 95.5% ">NTLMEngineImpl.Type1Message</a>
   
	 	 
	       <a href="../auth/NTLMEngineImpl.html#NTLMEngineImpl.Type2Message" class="tag"
	  style="font-size: 18px;color:#e4051a"
	  title="Average Method Complexity - 2.2 , Coverage - 0% ">NTLMEngineImpl.Type2Message</a>
   
	 	 
	       <a href="../auth/NTLMEngineImpl.html#NTLMEngineImpl.Type3Message" class="tag"
	  style="font-size: 40px;color:#3405ca"
	  title="Average Method Complexity - 7.5 , Coverage - 75.7% ">NTLMEngineImpl.Type3Message</a>
   
	 	 
	       <a href="../auth/NTLMScheme.html#NTLMScheme" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">NTLMScheme</a>
   
	 	 
	       <a href="../auth/NTLMSchemeFactory.html#NTLMSchemeFactory" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">NTLMSchemeFactory</a>
   
	 	 
	       <a href="../auth/NegotiateScheme.html#NegotiateScheme" class="tag"
	  style="font-size: 16px;color:#e4051a"
	  title="Average Method Complexity - 1.7 , Coverage - 0% ">NegotiateScheme</a>
   
	 	 
	       <a href="../auth/NegotiateSchemeFactory.html#NegotiateSchemeFactory" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">NegotiateSchemeFactory</a>
   
	 	 
	       <a href="../auth/SPNegoScheme.html#SPNegoScheme" class="tag"
	  style="font-size: 13px;color:#660598"
	  title="Average Method Complexity - 1.125 , Coverage - 50% ">SPNegoScheme</a>
   
	 	 
	       <a href="../auth/SPNegoSchemeFactory.html#SPNegoSchemeFactory" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 55.6% ">SPNegoSchemeFactory</a>
   
	 	 
	       <a href="../auth/UnsupportedDigestAlgorithmException.html#UnsupportedDigestAlgorithmException" class="tag"
	  style="font-size: 13px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 33.3% ">UnsupportedDigestAlgorithmException</a>
      </div>
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:13:08 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
